Forum: Ruby on Rails Re: Edge Rails doesn't work for my app

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
4c4c46ad9a5e4df8ba4ea8353e19c2fd?d=identicon&s=25 Curtis Edmond (Guest)
on 2006-03-07 20:40
(Received via mailing list)
Thanks Jan. That has cured that error. No webrick can boot up but when I
try
to access any section, I get this:


undefined method `verify_active_connections!' for
ActiveRecord::Base:Class
RAILS_ROOT: ./script/../config/..

Application Trace | Framework Trace | Full Trace
c:/ruby/lib/ruby/gems/1.8/gems/activerecord-1.13.2/lib/active_record/base.rb:991:in
`method_missing'
#{RAILS_ROOT}/vendor/rails/railties/lib/dispatcher.rb:70:in
`prepare_application'
#{RAILS_ROOT}/vendor/rails/railties/lib/dispatcher.rb:37:in `dispatch'
#{RAILS_ROOT}/vendor/rails/railties/lib/webrick_server.rb:115:in
`handle_dispatch'
#{RAILS_ROOT}/vendor/rails/railties/lib/webrick_server.rb:81:in
`service'
c:/ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'
c:/ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'
c:/ruby/lib/ruby/1.8/webrick/server.rb:155:in `start_thread'
c:/ruby/lib/ruby/1.8/webrick/server.rb:144:in `start'
c:/ruby/lib/ruby/1.8/webrick/server.rb:144:in `start_thread'
c:/ruby/lib/ruby/1.8/webrick/server.rb:94:in `start'
c:/ruby/lib/ruby/1.8/webrick/server.rb:89:in `each'
c:/ruby/lib/ruby/1.8/webrick/server.rb:89:in `start'
c:/ruby/lib/ruby/1.8/webrick/server.rb:79:in `start'
c:/ruby/lib/ruby/1.8/webrick/server.rb:79:in `start'
#{RAILS_ROOT}/vendor/rails/railties/lib/webrick_server.rb:67:in
`dispatch'
#{RAILS_ROOT}/vendor/rails/railties/lib/commands/servers/webrick.rb:59
c:/ruby/lib/ruby/site_ruby/1.8/rubygems/loadpath_manager.rb:5:in
`require__'
c:/ruby/lib/ruby/site_ruby/1.8/rubygems/loadpath_manager.rb:5:in
`require'
#{RAILS_ROOT}/vendor/rails/activesupport/lib/active_support/dependencies.rb:149:in
`require'
#{RAILS_ROOT}/vendor/rails/railties/lib/commands/server.rb:29
c:/ruby/lib/ruby/site_ruby/1.8/rubygems/loadpath_manager.rb:5:in
`require__'
c:/ruby/lib/ruby/site_ruby/1.8/rubygems/loadpath_manager.rb:5:in
`require'
script/server:3
Cf80d0758047e94940444feadf82a9bf?d=identicon&s=25 frazer horn (Guest)
on 2006-03-07 20:43
(Received via mailing list)
Curtis

if you are on ruby 1.8.2 try upgrading to 1.8.4, this worked for me.

Frazer
This topic is locked and can not be replied to.